=== VEX/Makefile ===
# Makefile.vex.in generated by automake 1.11.1 from Makefile.vex.am.
# VEX/Makefile.  Generated from Makefile.vex.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# VEX/Makefile is generated from this file at configure-time.

# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------



pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(noinst_HEADERS) $(pkginclude_HEADERS) \
	$(top_srcdir)/Makefile.all.am $(top_srcdir)/Makefile.vex.am \
	$(top_srcdir)/Makefile.vex.in
#am__append_1 = libvex--linux.a
subdir = VEX
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkglibdir)" \
	"$(DESTDIR)$(pkgincludedir)"
LIBRARIES = $(pkglib_LIBRARIES)
ARFLAGS = cru
libvex_arm_linux_a_AR = $(AR) $(ARFLAGS)
libvex_arm_linux_a_LIBADD =
am__objects_1 =  \
	libvex_arm_linux_a-main_globals.$(OBJEXT) \
	libvex_arm_linux_a-main_main.$(OBJEXT) \
	libvex_arm_linux_a-main_util.$(OBJEXT) \
	libvex_arm_linux_a-ir_defs.$(OBJEXT) \
	libvex_arm_linux_a-ir_match.$(OBJEXT) \
	libvex_arm_linux_a-ir_opt.$(OBJEXT) \
	libvex_arm_linux_a-guest_generic_bb_to_IR.$(OBJEXT) \
	libvex_arm_linux_a-guest_generic_x87.$(OBJEXT) \
	libvex_arm_linux_a-guest_x86_helpers.$(OBJEXT) \
	libvex_arm_linux_a-guest_x86_toIR.$(OBJEXT) \
	libvex_arm_linux_a-guest_amd64_helpers.$(OBJEXT) \
	libvex_arm_linux_a-guest_amd64_toIR.$(OBJEXT) \
	libvex_arm_linux_a-guest_ppc_helpers.$(OBJEXT) \
	libvex_arm_linux_a-guest_ppc_toIR.$(OBJEXT) \
	libvex_arm_linux_a-guest_arm_helpers.$(OBJEXT) \
	libvex_arm_linux_a-guest_arm_toIR.$(OBJEXT) \
	libvex_arm_linux_a-host_generic_regs.$(OBJEXT) \
	libvex_arm_linux_a-host_generic_simd64.$(OBJEXT) \
	libvex_arm_linux_a-host_generic_simd128.$(OBJEXT) \
	libvex_arm_linux_a-host_generic_reg_alloc2.$(OBJEXT) \
	libvex_arm_linux_a-host_x86_defs.$(OBJEXT) \
	libvex_arm_linux_a-host_x86_isel.$(OBJEXT) \
	libvex_arm_linux_a-host_amd64_defs.$(OBJEXT) \
	libvex_arm_linux_a-host_amd64_isel.$(OBJEXT) \
	libvex_arm_linux_a-host_ppc_defs.$(OBJEXT) \
	libvex_arm_linux_a-host_ppc_isel.$(OBJEXT) \
	libvex_arm_linux_a-host_arm_defs.$(OBJEXT) \
	libvex_arm_linux_a-host_arm_isel.$(OBJEXT)
am_libvex_arm_linux_a_OBJECTS = $(am__objects_1)
libvex_arm_linux_a_OBJECTS =  \
	$(am_libvex_arm_linux_a_OBJECTS)
libvex__linux_a_AR = $(AR) $(ARFLAGS)
libvex__linux_a_LIBADD =
am__libvex__linux_a_SOURCES_DIST =  \
	priv/main_globals.c priv/main_main.c priv/main_util.c \
	priv/ir_defs.c priv/ir_match.c priv/ir_opt.c \
	priv/guest_generic_bb_to_IR.c priv/guest_generic_x87.c \
	priv/guest_x86_helpers.c priv/guest_x86_toIR.c \
	priv/guest_amd64_helpers.c priv/guest_amd64_toIR.c \
	priv/guest_ppc_helpers.c priv/guest_ppc_toIR.c \
	priv/guest_arm_helpers.c priv/guest_arm_toIR.c \
	priv/host_generic_regs.c priv/host_generic_simd64.c \
	priv/host_generic_simd128.c priv/host_generic_reg_alloc2.c \
	priv/host_x86_defs.c priv/host_x86_isel.c \
	priv/host_amd64_defs.c priv/host_amd64_isel.c \
	priv/host_ppc_defs.c priv/host_ppc_isel.c priv/host_arm_defs.c \
	priv/host_arm_isel.c
am__objects_2 =  \
	libvex__linux_a-main_globals.$(OBJEXT) \
	libvex__linux_a-main_main.$(OBJEXT) \
	libvex__linux_a-main_util.$(OBJEXT) \
	libvex__linux_a-ir_defs.$(OBJEXT) \
	libvex__linux_a-ir_match.$(OBJEXT) \
	libvex__linux_a-ir_opt.$(OBJEXT) \
	libvex__linux_a-guest_generic_bb_to_IR.$(OBJEXT) \
	libvex__linux_a-guest_generic_x87.$(OBJEXT) \
	libvex__linux_a-guest_x86_helpers.$(OBJEXT) \
	libvex__linux_a-guest_x86_toIR.$(OBJEXT) \
	libvex__linux_a-guest_amd64_helpers.$(OBJEXT) \
	libvex__linux_a-guest_amd64_toIR.$(OBJEXT) \
	libvex__linux_a-guest_ppc_helpers.$(OBJEXT) \
	libvex__linux_a-guest_ppc_toIR.$(OBJEXT) \
	libvex__linux_a-guest_arm_helpers.$(OBJEXT) \
	libvex__linux_a-guest_arm_toIR.$(OBJEXT) \
	libvex__linux_a-host_generic_regs.$(OBJEXT) \
	libvex__linux_a-host_generic_simd64.$(OBJEXT) \
	libvex__linux_a-host_generic_simd128.$(OBJEXT) \
	libvex__linux_a-host_generic_reg_alloc2.$(OBJEXT) \
	libvex__linux_a-host_x86_defs.$(OBJEXT) \
	libvex__linux_a-host_x86_isel.$(OBJEXT) \
	libvex__linux_a-host_amd64_defs.$(OBJEXT) \
	libvex__linux_a-host_amd64_isel.$(OBJEXT) \
	libvex__linux_a-host_ppc_defs.$(OBJEXT) \
	libvex__linux_a-host_ppc_isel.$(OBJEXT) \
	libvex__linux_a-host_arm_defs.$(OBJEXT) \
	libvex__linux_a-host_arm_isel.$(OBJEXT)
#am_libvex__linux_a_OBJECTS =  \
#	$(am__objects_2)
libvex__linux_a_OBJECTS =  \
	$(am_libvex__linux_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libvex_arm_linux_a_SOURCES) \
	$(libvex__linux_a_SOURCES)
DIST_SOURCES = $(libvex_arm_linux_a_SOURCES) \
	$(am__libvex__linux_a_SOURCES_DIST)
HEADERS = $(noinst_HEADERS) $(pkginclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/lm/valgrind-3.6.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/lm/valgrind-3.6.0/missing --run tar
AR = /scratchbox/compilers/bin/ar
AUTOCONF = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lm/valgrind-3.6.0/missing --run automake-1.11
AWK = gawk
BOOST_CFLAGS = 
BOOST_LIBS = 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -Wno-long-long 
CCDEPMODE = depmode=gcc3
CFLAGS = -Wno-long-long 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFAULT_SUPP = exp-ptrcheck.supp xfree-3.supp xfree-4.supp glibc-2.X-drd.supp glibc-2.34567-NPTL-helgrind.supp glibc-2.4.supp 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIFF = diff -u
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FLAG_FNO_STACK_PROTECTOR = 
FLAG_M32 = 
FLAG_M64 = 
FLAG_MAIX32 = 
FLAG_MAIX64 = 
FLAG_MMMX = 
FLAG_MSSE = 
FLAG_NO_BUILD_ID = 
FLAG_UNLIMITED_INLINE_UNIT_GROWTH = --param inline-unit-growth=900
FLAG_W_EXTRA = -Wextra
FLAG_W_NO_EMPTY_BODY = 
FLAG_W_NO_FORMAT_ZERO_LENGTH = -Wno-format-zero-length
FLAG_W_NO_UNINITIALIZED = -Wno-uninitialized
GDB = /targets/links/arch_tools/bin/gdb
GLIBC_VERSION = 2.4
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/lm/valgrind-3.6.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MPI_CC = mpicc
OBJEXT = o
PACKAGE = valgrind
PACKAGE_BUGREPORT = valgrind-users@lists.sourceforge.net
PACKAGE_NAME = Valgrind
PACKAGE_STRING = Valgrind 3.6.0
PACKAGE_TARNAME = valgrind
PACKAGE_URL = 
PACKAGE_VERSION = 3.6.0
PATH_SEPARATOR = :
PERL = /scratchbox/tools/bin/perl
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PREFERRED_STACK_BOUNDARY = 
QTCORE_CFLAGS = -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore  
QTCORE_LIBS = -lQtCore  
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VALT_LOAD_ADDRESS_PRI = 0x38000000
VALT_LOAD_ADDRESS_SEC = 0xUNSET
VERSION = 3.6.0
VGCONF_ARCH_PRI = arm
VGCONF_ARCH_SEC = 
VGCONF_OS = linux
VGCONF_PLATFORM_PRI_CAPS = ARM_LINUX
VGCONF_PLATFORM_SEC_CAPS = 
abs_builddir = /home/lm/valgrind-3.6.0/VEX
abs_srcdir = /home/lm/valgrind-3.6.0/VEX
abs_top_builddir = /home/lm/valgrind-3.6.0
abs_top_srcdir = /home/lm/valgrind-3.6.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lm/valgrind-3.6.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
inplacedir = $(top_builddir)/.in_place

#----------------------------------------------------------------------------
# Flags
#----------------------------------------------------------------------------

# Baseline flags for all compilations.  Aim here is to maximise
# performance and get whatever useful warnings we can out of gcc.
AM_CFLAGS_BASE = \
	-O2 -g \
	-Wall \
	-Wmissing-prototypes \
	-Wshadow \
	-Wpointer-arith \
	-Wstrict-prototypes \
	-Wmissing-declarations \
	-Wno-format-zero-length \
	-fno-strict-aliasing

AM_CFLAGS_PIC = -fpic -O -g -fno-omit-frame-pointer -fno-strict-aliasing

# These flags are used for building the preload shared objects.
