=== coregrind/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# coregrind/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Be very careful when renaming any files, targets, whatever, in this
# Makefile.  Various parts of the system rely on these names having
# particular forms.

# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------




pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/link_tool_exe_aix5.in \
	$(srcdir)/link_tool_exe_darwin.in \
	$(srcdir)/link_tool_exe_linux.in $(top_srcdir)/Makefile.all.am
bin_PROGRAMS = valgrind$(EXEEXT) no_op_client_for_valgrind$(EXEEXT)
#am__append_1 = -Wl,-read_only_relocs -Wl,suppress
#am__append_2 = -Wl,-read_only_relocs -Wl,suppress
#am__append_3 = \
#	m_mach/mach_vmUser.c \
#        m_mach/taskUser.c \
#        m_mach/thread_actUser.c \
#        m_mach/vm_mapUser.c

#am__append_4 = \
#	m_mach/mach_vmServer.c \
#        m_mach/taskServer.c \
#        m_mach/thread_actServer.c \
#        m_mach/vm_mapServer.c

#am__append_5 = \
#	m_mach/mach_vm.h \
#        m_mach/task.h \
#        m_mach/thread_act.h \
#        m_mach/vm_map.h

#am__append_6 = \
#	/usr/include/mach/mach_vm.defs \
#        /usr/include/mach/task.defs \
#        /usr/include/mach/thread_act.defs \
#        /usr/include/mach/vm_map.defs

#am__append_7 = libcoregrind--linux.a
#am__append_8 = libreplacemalloc_toolpreload--linux.a
noinst_PROGRAMS =  \
	vgpreload_core-arm-linux.so$(EXEEXT) \
	$(am__EXEEXT_1)
#am__append_9 = vgpreload_core--linux.so
subdir = coregrind
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = link_tool_exe_linux link_tool_exe_darwin \
	link_tool_exe_aix5
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(bindir)"
LIBRARIES = $(pkglib_LIBRARIES)
ARFLAGS = cru
libcoregrind_arm_linux_a_AR = $(AR) $(ARFLAGS)
libcoregrind_arm_linux_a_LIBADD =
am__objects_1 = libcoregrind_arm_linux_a-m_commandline.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_clientstate.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_cpuid.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_debugger.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_debuglog.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_errormgr.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_execontext.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_hashtable.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_libcbase.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_libcassert.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_libcfile.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_libcprint.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_libcproc.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_libcsignal.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_machine.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_main.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_mallocfree.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_options.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_oset.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_redir.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_seqmatch.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_signals.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_sparsewa.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_stacks.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_stacktrace.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_syscall.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_threadstate.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_tooliface.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_trampoline.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_translate.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_transtab.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_vki.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_vkiscnums.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_wordfm.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_xarray.$(OBJEXT) \
	libcoregrind_arm_linux_a-m_aspacehl.$(OBJEXT) \
	libcoregrind_arm_linux_a-aspacemgr-common.$(OBJEXT) \
	libcoregrind_arm_linux_a-aspacemgr-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-aspacemgr-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-coredump-elf.$(OBJEXT) \
	libcoregrind_arm_linux_a-coredump-macho.$(OBJEXT) \
	libcoregrind_arm_linux_a-coredump-xcoff.$(OBJEXT) \
	libcoregrind_arm_linux_a-misc.$(OBJEXT) \
	libcoregrind_arm_linux_a-d3basics.$(OBJEXT) \
	libcoregrind_arm_linux_a-debuginfo.$(OBJEXT) \
	libcoregrind_arm_linux_a-readdwarf.$(OBJEXT) \
	libcoregrind_arm_linux_a-readdwarf3.$(OBJEXT) \
	libcoregrind_arm_linux_a-readelf.$(OBJEXT) \
	libcoregrind_arm_linux_a-readmacho.$(OBJEXT) \
	libcoregrind_arm_linux_a-readpdb.$(OBJEXT) \
	libcoregrind_arm_linux_a-readstabs.$(OBJEXT) \
	libcoregrind_arm_linux_a-readxcoff.$(OBJEXT) \
	libcoregrind_arm_linux_a-storage.$(OBJEXT) \
	libcoregrind_arm_linux_a-tytypes.$(OBJEXT) \
	libcoregrind_arm_linux_a-cp-demangle.$(OBJEXT) \
	libcoregrind_arm_linux_a-cplus-dem.$(OBJEXT) \
	libcoregrind_arm_linux_a-demangle.$(OBJEXT) \
	libcoregrind_arm_linux_a-dyn-string.$(OBJEXT) \
	libcoregrind_arm_linux_a-safe-ctype.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-x86-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-amd64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-ppc32-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-ppc64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-arm-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-ppc32-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-ppc64-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-x86-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-dispatch-amd64-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-initimg-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-initimg-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-initimg-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-initimg-pathscan.$(OBJEXT) \
	libcoregrind_arm_linux_a-mach_basics.$(OBJEXT) \
	libcoregrind_arm_linux_a-mach_msg.$(OBJEXT) \
	libcoregrind_arm_linux_a-mach_traps-x86-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-mach_traps-amd64-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-replacemalloc_core.$(OBJEXT) \
	libcoregrind_arm_linux_a-scheduler.$(OBJEXT) \
	libcoregrind_arm_linux_a-sema.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-x86-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-amd64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-ppc32-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-ppc64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-arm-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-ppc32-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-ppc64-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-x86-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-sigframe-amd64-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-x86-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-amd64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-ppc32-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-ppc64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-arm-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-ppc32-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-ppc64-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-x86-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-syscall-amd64-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-main.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-generic.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-linux-variants.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-x86-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-amd64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-ppc32-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-ppc64-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-arm-linux.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-ppc32-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-ppc64-aix5.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-x86-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-syswrap-amd64-darwin.$(OBJEXT) \
	libcoregrind_arm_linux_a-elf.$(OBJEXT) \
	libcoregrind_arm_linux_a-macho.$(OBJEXT) \
	libcoregrind_arm_linux_a-main.$(OBJEXT) \
	libcoregrind_arm_linux_a-script.$(OBJEXT)
am_libcoregrind_arm_linux_a_OBJECTS =  \
	$(am__objects_1)
#am__objects_2 = libcoregrind_arm_linux_a-mach_vmUser.$(OBJEXT) \
#	libcoregrind_arm_linux_a-taskUser.$(OBJEXT) \
#	libcoregrind_arm_linux_a-thread_actUser.$(OBJEXT) \
#	libcoregrind_arm_linux_a-vm_mapUser.$(OBJEXT)
am__objects_3 = $(am__objects_2)
am__objects_4 = $(am__objects_3)
nodist_libcoregrind_arm_linux_a_OBJECTS =  \
	$(am__objects_4)
libcoregrind_arm_linux_a_OBJECTS =  \
	$(am_libcoregrind_arm_linux_a_OBJECTS) \
	$(nodist_libcoregrind_arm_linux_a_OBJECTS)
libcoregrind__linux_a_AR = $(AR) $(ARFLAGS)
libcoregrind__linux_a_LIBADD =
am__libcoregrind__linux_a_SOURCES_DIST =  \
	m_commandline.c m_clientstate.c m_cpuid.S m_debugger.c \
	m_debuglog.c m_errormgr.c m_execontext.c m_hashtable.c \
	m_libcbase.c m_libcassert.c m_libcfile.c m_libcprint.c \
	m_libcproc.c m_libcsignal.c m_machine.c m_main.c \
	m_mallocfree.c m_options.c m_oset.c m_redir.c m_seqmatch.c \
	m_signals.c m_sparsewa.c m_stacks.c m_stacktrace.c m_syscall.c \
	m_threadstate.c m_tooliface.c m_trampoline.S m_translate.c \
	m_transtab.c m_vki.c m_vkiscnums.c m_wordfm.c m_xarray.c \
	m_aspacehl.c m_aspacemgr/aspacemgr-common.c \
	m_aspacemgr/aspacemgr-linux.c m_aspacemgr/aspacemgr-aix5.c \
	m_coredump/coredump-elf.c m_coredump/coredump-macho.c \
	m_coredump/coredump-xcoff.c m_debuginfo/misc.c \
	m_debuginfo/d3basics.c m_debuginfo/debuginfo.c \
	m_debuginfo/readdwarf.c m_debuginfo/readdwarf3.c \
	m_debuginfo/readelf.c m_debuginfo/readmacho.c \
