=== drd/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# drd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# This file should be included (directly or indirectly) by every
# Makefile.am that builds programs.  And also the top-level Makefile.am.

#----------------------------------------------------------------------------
# Global stuff
#----------------------------------------------------------------------------



pkgdatadir = $(datadir)/valgrind
pkgincludedir = $(includedir)/valgrind
pkglibdir = $(libdir)/valgrind
pkglibexecdir = $(libexecdir)/valgrind
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
DIST_COMMON = $(noinst_HEADERS) $(pkginclude_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/Makefile.all.am $(top_srcdir)/Makefile.tool.am
noinst_PROGRAMS = drd-arm-linux$(EXEEXT) \
	$(am__EXEEXT_1) \
	vgpreload_drd-arm-linux.so$(EXEEXT) \
	$(am__EXEEXT_2)
#am__append_1 = drd--linux
drd__linux_DEPENDENCIES =
#am__append_2 = vgpreload_drd--linux.so
subdir = drd
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
#am__EXEEXT_1 = drd--linux$(EXEEXT)
#am__EXEEXT_2 = vgpreload_drd--linux.so$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
am__objects_1 =  \
	drd_arm_linux-drd_barrier.$(OBJEXT) \
	drd_arm_linux-drd_bitmap2_node.$(OBJEXT) \
	drd_arm_linux-drd_clientobj.$(OBJEXT) \
	drd_arm_linux-drd_clientreq.$(OBJEXT) \
	drd_arm_linux-drd_cond.$(OBJEXT) \
	drd_arm_linux-drd_cond_initializer.$(OBJEXT) \
	drd_arm_linux-drd_error.$(OBJEXT) \
	drd_arm_linux-drd_hb.$(OBJEXT) \
	drd_arm_linux-drd_load_store.$(OBJEXT) \
	drd_arm_linux-drd_main.$(OBJEXT) \
	drd_arm_linux-drd_malloc_wrappers.$(OBJEXT) \
	drd_arm_linux-drd_mutex.$(OBJEXT) \
	drd_arm_linux-drd_rwlock.$(OBJEXT) \
	drd_arm_linux-drd_semaphore.$(OBJEXT) \
	drd_arm_linux-drd_suppression.$(OBJEXT)
am_drd_arm_linux_OBJECTS = $(am__objects_1)
drd_arm_linux_OBJECTS =  \
	$(am_drd_arm_linux_OBJECTS)
am__drd__linux_SOURCES_DIST = drd_barrier.c \
	drd_bitmap2_node.c drd_clientobj.c drd_clientreq.c drd_cond.c \
	drd_cond_initializer.c drd_error.c drd_hb.c drd_load_store.c \
	drd_main.c drd_malloc_wrappers.c drd_mutex.c drd_rwlock.c \
	drd_semaphore.c drd_suppression.c
am__objects_2 =  \
	drd__linux-drd_barrier.$(OBJEXT) \
	drd__linux-drd_bitmap2_node.$(OBJEXT) \
	drd__linux-drd_clientobj.$(OBJEXT) \
	drd__linux-drd_clientreq.$(OBJEXT) \
	drd__linux-drd_cond.$(OBJEXT) \
	drd__linux-drd_cond_initializer.$(OBJEXT) \
	drd__linux-drd_error.$(OBJEXT) \
	drd__linux-drd_hb.$(OBJEXT) \
	drd__linux-drd_load_store.$(OBJEXT) \
	drd__linux-drd_main.$(OBJEXT) \
	drd__linux-drd_malloc_wrappers.$(OBJEXT) \
	drd__linux-drd_mutex.$(OBJEXT) \
	drd__linux-drd_rwlock.$(OBJEXT) \
	drd__linux-drd_semaphore.$(OBJEXT) \
	drd__linux-drd_suppression.$(OBJEXT)
#am_drd__linux_OBJECTS =  \
#	$(am__objects_2)
drd__linux_OBJECTS =  \
	$(am_drd__linux_OBJECTS)
am__objects_3 = vgpreload_drd_arm_linux_so-drd_pthread_intercepts.$(OBJEXT) \
	vgpreload_drd_arm_linux_so-drd_qtcore_intercepts.$(OBJEXT) \
	vgpreload_drd_arm_linux_so-drd_strmem_intercepts.$(OBJEXT)
am_vgpreload_drd_arm_linux_so_OBJECTS =  \
	$(am__objects_3)
vgpreload_drd_arm_linux_so_OBJECTS =  \
	$(am_vgpreload_drd_arm_linux_so_OBJECTS)
vgpreload_drd_arm_linux_so_LDADD = $(LDADD)
vgpreload_drd_arm_linux_so_LINK = $(CCLD) \
	$(vgpreload_drd_arm_linux_so_CFLAGS) \
	$(CFLAGS) \
	$(vgpreload_drd_arm_linux_so_LDFLAGS) \
	$(LDFLAGS) -o $@
am__vgpreload_drd__linux_so_SOURCES_DIST =  \
	drd_pthread_intercepts.c drd_qtcore_intercepts.c \
	drd_strmem_intercepts.c
am__objects_4 = vgpreload_drd__linux_so-drd_pthread_intercepts.$(OBJEXT) \
	vgpreload_drd__linux_so-drd_qtcore_intercepts.$(OBJEXT) \
	vgpreload_drd__linux_so-drd_strmem_intercepts.$(OBJEXT)
#am_vgpreload_drd__linux_so_OBJECTS =  \
#	$(am__objects_4)
vgpreload_drd__linux_so_OBJECTS =  \
	$(am_vgpreload_drd__linux_so_OBJECTS)
vgpreload_drd__linux_so_LDADD = $(LDADD)
vgpreload_drd__linux_so_LINK = $(CCLD) \
	$(vgpreload_drd__linux_so_CFLAGS) \
	$(CFLAGS) \
	$(vgpreload_drd__linux_so_LDFLAGS) \
	$(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(drd_arm_linux_SOURCES) \
	$(drd__linux_SOURCES) \
	$(vgpreload_drd_arm_linux_so_SOURCES) \
	$(vgpreload_drd__linux_so_SOURCES)
DIST_SOURCES = $(drd_arm_linux_SOURCES) \
	$(am__drd__linux_SOURCES_DIST) \
	$(vgpreload_drd_arm_linux_so_SOURCES) \
	$(am__vgpreload_drd__linux_so_SOURCES_DIST)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkgincludedir)"
HEADERS = $(noinst_HEADERS) $(pkginclude_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /home/lm/valgrind-3.6.0/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/lm/valgrind-3.6.0/missing --run tar
AR = /scratchbox/compilers/bin/ar
AUTOCONF = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/lm/valgrind-3.6.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/lm/valgrind-3.6.0/missing --run automake-1.11
AWK = gawk
BOOST_CFLAGS = 
BOOST_LIBS = 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS = -Wno-long-long 
CCDEPMODE = depmode=gcc3
CFLAGS = -Wno-long-long 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFAULT_SUPP = exp-ptrcheck.supp xfree-3.supp xfree-4.supp glibc-2.X-drd.supp glibc-2.34567-NPTL-helgrind.supp glibc-2.4.supp 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIFF = diff -u
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
FLAG_FNO_STACK_PROTECTOR = 
FLAG_M32 = 
FLAG_M64 = 
FLAG_MAIX32 = 
FLAG_MAIX64 = 
FLAG_MMMX = 
FLAG_MSSE = 
FLAG_NO_BUILD_ID = 
FLAG_UNLIMITED_INLINE_UNIT_GROWTH = --param inline-unit-growth=900
FLAG_W_EXTRA = -Wextra
FLAG_W_NO_EMPTY_BODY = 
FLAG_W_NO_FORMAT_ZERO_LENGTH = -Wno-format-zero-length
FLAG_W_NO_UNINITIALIZED = -Wno-uninitialized
GDB = /targets/links/arch_tools/bin/gdb
GLIBC_VERSION = 2.4
GREP = /scratchbox/tools/bin/grep
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /home/lm/valgrind-3.6.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MPI_CC = mpicc
OBJEXT = o
PACKAGE = valgrind
PACKAGE_BUGREPORT = valgrind-users@lists.sourceforge.net
PACKAGE_NAME = Valgrind
PACKAGE_STRING = Valgrind 3.6.0
PACKAGE_TARNAME = valgrind
PACKAGE_URL = 
PACKAGE_VERSION = 3.6.0
PATH_SEPARATOR = :
PERL = /scratchbox/tools/bin/perl
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PREFERRED_STACK_BOUNDARY = 
QTCORE_CFLAGS = -DQT_SHARED -I/usr/include/qt4 -I/usr/include/qt4/QtCore  
QTCORE_LIBS = -lQtCore  
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VALT_LOAD_ADDRESS_PRI = 0x38000000
VALT_LOAD_ADDRESS_SEC = 0xUNSET
VERSION = 3.6.0
VGCONF_ARCH_PRI = arm
VGCONF_ARCH_SEC = 
VGCONF_OS = linux
VGCONF_PLATFORM_PRI_CAPS = ARM_LINUX
VGCONF_PLATFORM_SEC_CAPS = 
abs_builddir = /home/lm/valgrind-3.6.0/drd
abs_srcdir = /home/lm/valgrind-3.6.0/drd
abs_top_builddir = /home/lm/valgrind-3.6.0
abs_top_srcdir = /home/lm/valgrind-3.6.0
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = 
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/lm/valgrind-3.6.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
