=== debian/changelog ===
valgrind (1:3.6.0-1) unstable; urgency=low

  * Initial release.
  * Add support for ARMv5/ARMv6 (https://bugs.kde.org/show_bug.cgi?id=248998).
  * Rename svc instructions to swi to allow building with Diablo's older gas.
  * Stole valgrind.sh wrapper from osso version.

 -- Lucas Maneos <maemo@subs.maneos.org>  Fri, 12 Nov 2010 03:38:24 +0000
