=== debian/control ===
Source: valgrind
Section: devel
Priority: optional
Maintainer: Lucas Maneos <maemo@subs.maneos.org>
Build-Depends: debhelper (>> 3.0.0), libc6-dev (>> 2.3.0), autotools-dev, dpatch (>> 2.0.0), gdb
Standards-Version: 3.6.2.0

Package: valgrind
Architecture: armel
Depends: ${shlibs:Depends}, maemo-debug-scripts
Conflicts: valgrind-callgrind
Provides: valgrind-callgrind
Suggests: kcachegrind, alleyoop
Recommends: gdb
Description: A memory debugger and profiler
 Valgrind is a framework for building dynamic analysis tools. There are
 Valgrind tools that can automatically detect many memory management
 and threading bugs, and profile your programs in detail. You can also
 use Valgrind to build new tools.
 .
 The Valgrind distribution currently includes six production-quality
 tools: a memory error detector, two thread error detectors, a cache
 and branch-prediction profiler, a call-graph generating cache abd
 branch-prediction profiler, and a heap profiler. It also includes
 three experimental tools: a heap/stack/global array overrun detector,
 a different kind of heap profiler, and a SimPoint basic block vector
 generator.
